> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Subaccount

> Create a new Subaccount using the data provided in the request body.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/accounts/subaccounts
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/accounts/subaccounts:
    post:
      tags:
        - Accounts
      summary: Create a new Subaccount
      description: Create a new Subaccount using the data provided in the request body.
      operationId: AccountsController_createSubaccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/SubaccountStandaloneCreateDto'
                  title: Standalone Subaccount
                - $ref: '#/components/schemas/SubaccountDfnsCreateDto'
                  title: Dfns Subaccount
                - $ref: '#/components/schemas/SubaccountUtilaCreateDto'
                  title: Utila Subaccount
      responses:
        '201':
          description: Successfully created Subaccount data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountEntity'
        '400':
          description: The Subaccount data is invalid or incomplete.
      security:
        - bearer: []
components:
  schemas:
    SubaccountStandaloneCreateDto:
      type: object
      properties:
        identityId:
          type: string
          minLength: 25
          maxLength: 25
          description: >-
            The id of the identity associated with the account. Learn more at
            [Identity Guide](https://docs.buildborderless.com/docs/identities).
          example: cm9db4g2s2r7ro224ra6u1qvl
        name:
          type: string
          minLength: 3
          maxLength: 50
          description: >-
            A unique identifier for your account, allowing you to distinguish it
            from other accounts.
          example: Main Account
        assets:
          description: >-
            An array of assets associated with blockchain addresses. Refer to
            the [Own Managed Address
            Documentation](https://docs.buildborderless.com/docs/add-asset-to-account#/own-managed-standalone).
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetStandaloneDto'
      required:
        - identityId
        - name
    SubaccountDfnsCreateDto:
      type: object
      properties:
        identityId:
          type: string
          minLength: 25
          maxLength: 25
          description: >-
            The id of the identity associated with the account. Learn more at
            [Identity Guide](https://docs.buildborderless.com/docs/identities).
          example: cm9db4g2s2r7ro224ra6u1qvl
        name:
          type: string
          minLength: 3
          maxLength: 50
          description: >-
            A unique identifier for your account, allowing you to distinguish it
            from other accounts.
          example: Main Account
        assets:
          description: >-
            An array of assets associated with Dfns wallets. Refer to the [Dfns
            Address
            Documentation](https://docs.buildborderless.com/docs/add-asset-to-account#/dfns-provider).
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetDfnsDto'
      required:
        - identityId
        - name
    SubaccountUtilaCreateDto:
      type: object
      properties:
        identityId:
          type: string
          minLength: 25
          maxLength: 25
          description: >-
            The id of the identity associated with the account. Learn more at
            [Identity Guide](https://docs.buildborderless.com/docs/identities).
          example: cm9db4g2s2r7ro224ra6u1qvl
        name:
          type: string
          minLength: 3
          maxLength: 50
          description: >-
            A unique identifier for your account, allowing you to distinguish it
            from other accounts.
          example: Main Account
        walletId:
          type: string
          description: >-
            The Utila wallet ID. If walletId is not provided, Borderless will
            create a new Utila Wallet and connect it to the new Account. Learn
            more at [Utila Configuration
            Guide](https://docs.buildborderless.com/docs/utila-provider).
          example: wallet-0987654321zyxwvu
        assets:
          description: >-
            An array of assets associated with Utila wallet. Refer to the [Utila
            Address
            Documentation](https://docs.buildborderless.com/docs/add-asset-to-account#/utila-provider).
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetUtilaDto'
      required:
        - identityId
        - name
    AccountEntity:
      type: object
      properties:
        id:
          type: string
        type:
          nullable: false
          allOf:
            - $ref: '#/components/schemas/AccountType'
        pfi:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PFIName'
        web3Provider:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Web3InfraProvider'
        name:
          type: string
        addresses:
          description: >-
            Deprecated. Will be removed by May 1st, 2026. Use the `assets` and
            `fiats` properties instead for retrieving account asset and fiat
            details.
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetAddressEntity'
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetEntity'
        fiats:
          type: array
          items:
            $ref: '#/components/schemas/AccountFiatEntity'
        identityId:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - type
        - pfi
        - web3Provider
        - name
        - addresses
        - assets
        - fiats
        - identityId
        - createdAt
    AccountAssetStandaloneDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
          description: The blockchain address for the account
          example: '0xE79a68B87544ed42Cc5aA805bb056201e7942D3A'
      required:
        - asset
        - address
    AccountAssetDfnsDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
        dfnsWalletId:
          type: string
          minLength: 25
          maxLength: 50
          description: The Dfns wallet ID associated with the account
          example: wa-7jesf-pmt6i-92lbukigvpvahmki
      required:
        - asset
        - dfnsWalletId
    AccountAssetUtilaDto:
      type: object
      properties:
        asset:
          description: >-
            The token tied to a specific blockchain. See the list of [supported
            Assets](https://docs.buildborderless.com/docs/supported-tokens).
          example: ETH
          allOf:
            - $ref: '#/components/schemas/AssetId'
      required:
        - asset
    AccountType:
      type: string
      enum:
        - wallet
        - institution
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    Web3InfraProvider:
      type: string
      enum:
        - Utila
        - Standalone
        - MultiProvider
        - Dfns
        - NotApplicable
    AccountAssetAddressEntity:
      type: object
      properties:
        id:
          type: string
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
      required:
        - id
        - asset
        - address
    AccountAssetEntity:
      type: object
      properties:
        id:
          type: string
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
      required:
        - id
        - asset
        - address
    AccountFiatEntity:
      type: object
      properties:
        id:
          type: string
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
      required:
        - id
        - fiat
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````